## gcc-defaults-ports 1.207ubuntu1

=== debian/changelog ===
gcc-defaults-ports (1.207ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Aug 2023 15:11:10 +0200

gcc-defaults-ports (1.207) unstable; urgency=medium

  * Build more cross packages on ppc64el.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2023 15:05:44 +0200

gcc-defaults-ports (1.206) unstable; urgency=medium

  * Bump GCC 13 version to 13.2.0.
  * Build alpha hppa m68k powerpc sh4 sparc64 cross packages on arm64
    and ppc64el.  Closes: #969195.
  * Build riscv64 packages from this source package.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2023 01:01:02 +0200

gcc-defaults-ports (1.205ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jul 2023 15:03:27 +0200

gcc-defaults-ports (1.205) unstable; urgency=medium

  * Default to GCC 13.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 14:47:50 +0200
