=== debian/control ===
Source: gcc-defaults-ports
Section: devel
Priority: standard
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.2
Build-Depends: m4, debhelper (>= 11),
  gcc-13-base (>= 13.2.0-2~),
  lsb-release
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-defaults/tree/ports
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-defaults.git -b ports

Package: cpp-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-alpha-linux-gnu ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the alpha architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for alpha architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the alpha architecture.

Package: gcc-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (= ${version:cpp}),
  gcc-${pv:gcc}-alpha-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-alpha-cross | libc-dev-alpha-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-alpha-linux-gnu, gcc-doc
Description: GNU C compiler for the alpha architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the alpha architecture.

Package: g++-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (= ${version:cpp}),
  gcc-alpha-linux-gnu (= ${version:cpp}),
  g++-${pv:gpp}-alpha-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the alpha architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler
 for the alpha architecture.

Package: gobjc-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (>= ${version:cpp}),
  gcc-alpha-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-alpha-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the alpha architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the alpha architecture.

Package: gobjc++-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (>= ${version:cpp}),
  gcc-alpha-linux-gnu (>= ${version:cpp}),
  gobjc++-${pv:gobjcxx}-alpha-linux-gnu ${reqv:gobjcxx},
  ${misc:Depends}
Recommends: g++-alpha-linux-gnu (>= ${version:cpp}), gobjc-alpha-linux-gnu (>= ${version:cpp})
Description: GNU Objective-C++ compiler for the alpha architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the alpha architecture.

Package: gfortran-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (= ${version:cpp}),
  gcc-alpha-linux-gnu (= ${version:gcc}),
  gfortran-${pv:gfort}-alpha-linux-gnu ${reqv:gfort},
  ${misc:Depends}
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for the alpha architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the alpha architecture.

Package: gccgo-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (>= ${version:cpp}),
  g++-alpha-linux-gnu (>= ${version:gcc}),
  gccgo-${pv:ggo}-alpha-linux-gnu ${reqv:ggo},
  ${misc:Depends}
Suggests: gccgo-doc
Description: Go compiler (based on GCC) for the alpha architecture
 This is the GNU Go compiler, which compiles Go on platforms supported by
 the gcc compiler. It uses the gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Go cross-compiler
 for the alpha architecture.

Package: gm2-alpha-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-alpha-linux-gnu (>= ${version:cpp}),
  gm2-${pv:gm2}-alpha-linux-gnu ${reqv:gm2},
  ${misc:Depends}
Description: GNU Modula-2 compiler (based on GCC) for the alpha architecture
 This is the GNU Modula-2 compiler, which compiles Modula-2 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Modula-2 cross-compiler
 for the alpha architecture.

Package: cpp-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-arc-linux-gnu ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the arc architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for arc architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the arc architecture.

Package: gcc-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-arc-linux-gnu (= ${version:cpp}),
  gcc-${pv:gcc}-arc-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-arc-cross | libc-dev-arc-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-arc-linux-gnu, gcc-doc
Description: GNU C compiler for the arc architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the arc architecture.

Package: g++-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-arc-linux-gnu (= ${version:cpp}),
  gcc-arc-linux-gnu (= ${version:cpp}),
  g++-${pv:gpp}-arc-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the arc architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler
 for the arc architecture.

Package: gobjc-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-arc-linux-gnu (>= ${version:cpp}),
  gcc-arc-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-arc-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the arc architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Objective-C
 cross-compiler for the arc architecture.

Package: gobjc++-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-arc-linux-gnu (>= ${version:cpp}),
  gcc-arc-linux-gnu (>= ${version:cpp}),
  gobjc++-${pv:gobjcxx}-arc-linux-gnu ${reqv:gobjcxx},
  ${misc:Depends}
Recommends: g++-arc-linux-gnu (>= ${version:cpp}), gobjc-arc-linux-gnu (>= ${version:cpp})
Description: GNU Objective-C++ compiler for the arc architecture
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.
 .
 This is a dependency package providing the default GNU Objective-C++
 cross-compiler for the arc architecture.

Package: gfortran-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-arc-linux-gnu (= ${version:cpp}),
  gcc-arc-linux-gnu (= ${version:gcc}),
  gfortran-${pv:gfort}-arc-linux-gnu ${reqv:gfort},
  ${misc:Depends}
Suggests: gfortran-doc
Description: GNU Fortran 95 compiler for the arc architecture
 This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Fortran 95
 cross-compiler for the arc architecture.

Package: gm2-arc-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-arc-linux-gnu (>= ${version:cpp}),
  gm2-${pv:gm2}-arc-linux-gnu ${reqv:gm2},
  ${misc:Depends}
Description: GNU Modula-2 compiler (based on GCC) for the arc architecture
 This is the GNU Modula-2 compiler, which compiles Modula-2 on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
 This is a dependency package providing the default GNU Modula-2 cross-compiler
 for the arc architecture.

Package: cpp-hppa-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Section: interpreters
Depends: cpp-${pv:cpp}-hppa-linux-gnu ${reqv:cpp}, ${misc:Depends}
Suggests: cpp-doc
Description: GNU C preprocessor (cpp) for the hppa architecture
 The GNU C preprocessor is a macro processor that is used automatically
 by the GNU C compiler to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the cross-compiler for hppa architecture.
 .
 This is a dependency package providing the default GNU C preprocessor
 for the hppa architecture.

Package: gcc-hppa-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-hppa-linux-gnu (= ${version:cpp}),
  gcc-${pv:gcc}-hppa-linux-gnu ${reqv:gcc},
  ${misc:Depends}
Recommends: libc6-dev-hppa-cross | libc-dev-hppa-cross
Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-hppa-linux-gnu, gcc-doc
Description: GNU C compiler for the hppa architecture
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This is a dependency package providing the default GNU C cross-compiler
 for the hppa architecture.

Package: g++-hppa-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-hppa-linux-gnu (= ${version:cpp}),
  gcc-hppa-linux-gnu (= ${version:cpp}),
  g++-${pv:gpp}-hppa-linux-gnu ${reqv:gpp},
  ${misc:Depends}
Description: GNU C++ compiler for the hppa architecture
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This is a dependency package providing the default GNU C++ cross-compiler
 for the hppa architecture.

Package: gobjc-hppa-linux-gnu
Priority: optional
Architecture: amd64 arm64 i386 ppc64el x32
Multi-Arch: foreign
Depends: cpp-hppa-linux-gnu (>= ${version:cpp}),
  gcc-hppa-linux-gnu (>= ${version:cpp}),
  gobjc-${pv:gobjc}-hppa-linux-gnu ${reqv:gobjc},
  ${misc:Depends}
Description: GNU Objective-C compiler for the hppa architecture
 This is the GNU Objective-C compiler, which compiles Objective-C on platforms
 supported by the gcc compiler. It uses the gcc backend to generate optimized
 code.
 .
