## gcc-defaults-ports 1.208

=== debian/changelog ===
gcc-defaults-ports (1.208) unstable; urgency=medium

  * Bump version to 13.2.1.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2023 17:17:47 +0200
