## gcc-defaults-ports 1.209ubuntu1

=== debian/changelog ===
gcc-defaults-ports (1.209ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 13:48:46 +0100

gcc-defaults-ports (1.209) unstable; urgency=medium

  * Build armel packages from the ports package.
  * Build release compilers also on s390x.
  * Build ppc64 packages on ppc64el. Closes: #1052251.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 13:41:27 +0100
