=== debian/control ===
--- 
+++ 
@@ -137,6 +137,147 @@
  This is a dependency package providing the default GNU Modula-2 cross-compiler
  for the alpha architecture.
 
+Package: cpp-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Section: interpreters
+Depends: cpp-${pv:cpp}-arm-linux-gnueabi ${reqv:cpp}, ${misc:Depends}
+Suggests: cpp-doc
+Description: GNU C preprocessor (cpp) for the armel architecture
+ The GNU C preprocessor is a macro processor that is used automatically
+ by the GNU C compiler to transform programs before actual compilation.
+ .
+ This package has been separated from gcc for the benefit of those who
+ require the preprocessor but not the cross-compiler for armel architecture.
+ .
+ This is a dependency package providing the default GNU C preprocessor
+ for the armel architecture.
+
+Package: gcc-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (= ${version:cpp}),
+  gcc-${pv:gcc}-arm-linux-gnueabi ${reqv:gcc},
+  ${misc:Depends}
+Recommends: libc6-dev-armel-cross | libc-dev-armel-cross
+Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-arm-linux-gnueabi, gcc-doc
+Description: GNU C compiler for the armel architecture
+ This is the GNU C compiler, a fairly portable optimizing compiler for C.
+ .
+ This is a dependency package providing the default GNU C cross-compiler
+ for the armel architecture.
+
+Package: g++-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (= ${version:cpp}),
+  gcc-arm-linux-gnueabi (= ${version:cpp}),
+  g++-${pv:gpp}-arm-linux-gnueabi ${reqv:gpp},
+  ${misc:Depends}
+Description: GNU C++ compiler for the armel architecture
+ This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
+ .
+ This is a dependency package providing the default GNU C++ cross-compiler
+ for the armel architecture.
+
+Package: gobjc-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (>= ${version:cpp}),
+  gcc-arm-linux-gnueabi (>= ${version:cpp}),
+  gobjc-${pv:gobjc}-arm-linux-gnueabi ${reqv:gobjc},
+  ${misc:Depends}
+Description: GNU Objective-C compiler for the armel architecture
+ This is the GNU Objective-C compiler, which compiles Objective-C on platforms
+ supported by the gcc compiler. It uses the gcc backend to generate optimized
+ code.
+ .
+ This is a dependency package providing the default GNU Objective-C
+ cross-compiler for the armel architecture.
+
+Package: gobjc++-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (>= ${version:cpp}),
+  gcc-arm-linux-gnueabi (>= ${version:cpp}),
+  gobjc++-${pv:gobjcxx}-arm-linux-gnueabi ${reqv:gobjcxx},
+  ${misc:Depends}
+Recommends: g++-arm-linux-gnueabi (>= ${version:cpp}), gobjc-arm-linux-gnueabi (>= ${version:cpp})
+Description: GNU Objective-C++ compiler for the armel architecture
+ This is the GNU Objective-C++ compiler, which compiles
+ Objective-C++ on platforms supported by the gcc compiler. It uses the
+ gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU Objective-C++
+ cross-compiler for the armel architecture.
+
+Package: gfortran-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (= ${version:cpp}),
+  gcc-arm-linux-gnueabi (= ${version:gcc}),
+  gfortran-${pv:gfort}-arm-linux-gnueabi ${reqv:gfort},
+  ${misc:Depends}
+Suggests: gfortran-doc
+Description: GNU Fortran 95 compiler for the armel architecture
+ This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
+ supported by the gcc compiler. It uses the gcc backend to generate optimized
+ code.
+ .
+ This is a dependency package providing the default GNU Fortran 95
+ cross-compiler for the armel architecture.
+
+Package: gccgo-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (>= ${version:cpp}),
+  g++-arm-linux-gnueabi (>= ${version:gcc}),
+  gccgo-${pv:ggo}-arm-linux-gnueabi ${reqv:ggo},
+  ${misc:Depends}
+Suggests: gccgo-doc
+Description: Go compiler (based on GCC) for the armel architecture
+ This is the GNU Go compiler, which compiles Go on platforms supported by
+ the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU Go cross-compiler
+ for the armel architecture.
+
+Package: gdc-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (>= ${version:cpp}),
+  gdc-${pv:gdc}-arm-linux-gnueabi ${reqv:gdc},
+  ${misc:Depends}
+Description: GNU D compiler (based on GCC) for the armel architecture
+ This is the GNU D compiler, which compiles D on platforms supported by
+ the gcc compiler. It uses the gcc backend to generate optimized code.
+ .
+ This is a dependency package providing the default GNU D cross-compiler
+ for the armel architecture.
+
+Package: gm2-arm-linux-gnueabi
+Priority: optional
+Architecture: amd64 i386 x32 arm64 ppc64el
+Multi-Arch: foreign
+Depends: cpp-arm-linux-gnueabi (>= ${version:cpp}),
+  gm2-${pv:gm2}-arm-linux-gnueabi ${reqv:gm2},
+  ${misc:Depends}
+Description: GNU Modula-2 compiler (based on GCC) for the armel architecture
+ This is the GNU Modula-2 compiler, which compiles Modula-2 on platforms
+ supported by the gcc compiler. It uses the gcc backend to generate optimized
+ code.
+ .
+ This is a dependency package providing the default GNU Modula-2 cross-compiler
+ for the armel architecture.
+
 Package: cpp-arc-linux-gnu
 Priority: optional
 Architecture: amd64 arm64 i386 ppc64el x32
@@ -162,148 +303,3 @@
   gcc-${pv:gcc}-arc-linux-gnu ${reqv:gcc},
   ${misc:Depends}
 Recommends: libc6-dev-arc-cross | libc-dev-arc-cross
-Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-arc-linux-gnu, gcc-doc
-Description: GNU C compiler for the arc architecture
- This is the GNU C compiler, a fairly portable optimizing compiler for C.
- .
- This is a dependency package providing the default GNU C cross-compiler
- for the arc architecture.
-
-Package: g++-arc-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-arc-linux-gnu (= ${version:cpp}),
-  gcc-arc-linux-gnu (= ${version:cpp}),
-  g++-${pv:gpp}-arc-linux-gnu ${reqv:gpp},
-  ${misc:Depends}
-Description: GNU C++ compiler for the arc architecture
- This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
- .
- This is a dependency package providing the default GNU C++ cross-compiler
- for the arc architecture.
-
-Package: gobjc-arc-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-arc-linux-gnu (>= ${version:cpp}),
-  gcc-arc-linux-gnu (>= ${version:cpp}),
-  gobjc-${pv:gobjc}-arc-linux-gnu ${reqv:gobjc},
-  ${misc:Depends}
-Description: GNU Objective-C compiler for the arc architecture
- This is the GNU Objective-C compiler, which compiles Objective-C on platforms
- supported by the gcc compiler. It uses the gcc backend to generate optimized
- code.
- .
- This is a dependency package providing the default GNU Objective-C
- cross-compiler for the arc architecture.
-
-Package: gobjc++-arc-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-arc-linux-gnu (>= ${version:cpp}),
-  gcc-arc-linux-gnu (>= ${version:cpp}),
-  gobjc++-${pv:gobjcxx}-arc-linux-gnu ${reqv:gobjcxx},
-  ${misc:Depends}
-Recommends: g++-arc-linux-gnu (>= ${version:cpp}), gobjc-arc-linux-gnu (>= ${version:cpp})
-Description: GNU Objective-C++ compiler for the arc architecture
- This is the GNU Objective-C++ compiler, which compiles
- Objective-C++ on platforms supported by the gcc compiler. It uses the
- gcc backend to generate optimized code.
- .
- This is a dependency package providing the default GNU Objective-C++
- cross-compiler for the arc architecture.
-
-Package: gfortran-arc-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-arc-linux-gnu (= ${version:cpp}),
-  gcc-arc-linux-gnu (= ${version:gcc}),
-  gfortran-${pv:gfort}-arc-linux-gnu ${reqv:gfort},
-  ${misc:Depends}
-Suggests: gfortran-doc
-Description: GNU Fortran 95 compiler for the arc architecture
- This is the GNU Fortran 95 compiler, which compiles Fortran 95 on platforms
- supported by the gcc compiler. It uses the gcc backend to generate optimized
- code.
- .
- This is a dependency package providing the default GNU Fortran 95
- cross-compiler for the arc architecture.
-
-Package: gm2-arc-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-arc-linux-gnu (>= ${version:cpp}),
-  gm2-${pv:gm2}-arc-linux-gnu ${reqv:gm2},
-  ${misc:Depends}
-Description: GNU Modula-2 compiler (based on GCC) for the arc architecture
- This is the GNU Modula-2 compiler, which compiles Modula-2 on platforms
- supported by the gcc compiler. It uses the gcc backend to generate optimized
- code.
- .
- This is a dependency package providing the default GNU Modula-2 cross-compiler
- for the arc architecture.
-
-Package: cpp-hppa-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Section: interpreters
-Depends: cpp-${pv:cpp}-hppa-linux-gnu ${reqv:cpp}, ${misc:Depends}
-Suggests: cpp-doc
-Description: GNU C preprocessor (cpp) for the hppa architecture
- The GNU C preprocessor is a macro processor that is used automatically
- by the GNU C compiler to transform programs before actual compilation.
- .
- This package has been separated from gcc for the benefit of those who
- require the preprocessor but not the cross-compiler for hppa architecture.
- .
- This is a dependency package providing the default GNU C preprocessor
- for the hppa architecture.
-
-Package: gcc-hppa-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-hppa-linux-gnu (= ${version:cpp}),
-  gcc-${pv:gcc}-hppa-linux-gnu ${reqv:gcc},
-  ${misc:Depends}
-Recommends: libc6-dev-hppa-cross | libc-dev-hppa-cross
-Suggests: make, manpages-dev, autoconf, automake, libtool, flex, bison, gdb-hppa-linux-gnu, gcc-doc
-Description: GNU C compiler for the hppa architecture
- This is the GNU C compiler, a fairly portable optimizing compiler for C.
- .
- This is a dependency package providing the default GNU C cross-compiler
- for the hppa architecture.
-
-Package: g++-hppa-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-hppa-linux-gnu (= ${version:cpp}),
-  gcc-hppa-linux-gnu (= ${version:cpp}),
-  g++-${pv:gpp}-hppa-linux-gnu ${reqv:gpp},
-  ${misc:Depends}
-Description: GNU C++ compiler for the hppa architecture
- This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
- .
- This is a dependency package providing the default GNU C++ cross-compiler
- for the hppa architecture.
-
-Package: gobjc-hppa-linux-gnu
-Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
-Multi-Arch: foreign
-Depends: cpp-hppa-linux-gnu (>= ${version:cpp}),
-  gcc-hppa-linux-gnu (>= ${version:cpp}),
-  gobjc-${pv:gobjc}-hppa-linux-gnu ${reqv:gobjc},
-  ${misc:Depends}
-Description: GNU Objective-C compiler for the hppa architecture
- This is the GNU Objective-C compiler, which compiles Objective-C on platforms
- supported by the gcc compiler. It uses the gcc backend to generate optimized
- code.
- .
