## gcc-defaults-ports 1.219ubuntu1

=== debian/changelog ===
gcc-defaults-ports (1.219ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2024 11:08:34 +0200

gcc-defaults-ports (1.219) unstable; urgency=medium

  * Default to GCC 14.
  * Build gdc and gm2 packages for loong64. Closes: #1069714,
  * Bump versions to 14.1 and 13.3.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Jul 2024 17:44:58 +0200

gcc-defaults-ports (1.213) unstable; urgency=medium

  * Bump version to 13.2.1. Closes: #1062207.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 19:39:10 +0100

gcc-defaults-ports (1.212) unstable; urgency=medium

  * Merge changes from gcc-defaults 1.214.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 14:25:26 +0100
