## gcc-defaults-ports 1.220

=== debian/changelog ===
gcc-defaults-ports (1.220) unstable; urgency=medium

  * Bump versions to 14.2.
  * Fix Multi-Arch coinstallability of *-for-host packages.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Oct 2024 10:56:06 +0200

gcc-defaults-ports (1.218) unstable; urgency=medium

  * Default to GCC 14.
  * Build gdc and gm2 packages for loong64. Closes: #1069714,
  * Bump versions to 14.1 and 13.3.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jul 2024 11:38:46 +0200
